githubEdit

Sign message

post

Signs a message using the provided account name and authorization token.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to sign the message with.
Header parameters
AuthorizationstringRequired
  • The authorization token for the request.
Body
  • The body of the request containing the message to be signed.
chain_idstringOptional

The ID of the blockchain network.

namestringOptional

The name associated with the message.

datastringRequired

The data to be signed.

encodingstringOptional

The encoding format of the data.

headerbooleanOptional

Indicates if the message includes a header.

signtypebooleanOptional

Indicates if the message includes a signature type.

Responses
chevron-right
200

A promise that resolves to a SignMessageAPIResponse object containing the result of the sign message operation.

application/json

Interface representing the response from the Sign Message API. Extends the BaseAPIResponse interface.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

post
/accounts/{accountName}/sign-message
200

A promise that resolves to a SignMessageAPIResponse object containing the result of the sign message operation.